import procontroll.*;
import java.io.*;
//today we'll be taking "contoll" of one control stick and one button
ControllIO controll;
ControllDevice device;

ControllStick stick1; // Defines the name of the left stick
ControllStick stick2; // Defines the name of the right stick
ControllButton button;
//today, we'll be sending commands to the hacked treadbot via the Serial
import processing.serial.*;
//the name of the communication line will be called "port"
Serial port;


void setup()
{
  
  // sets up the port and PS3 controller in the setup() function.
  port = new Serial(this, Serial.list()[0], 9600); 
  controll = ControllIO.getInstance(this);
  device = controll.getDevice("PLAYSTATION(R)3 Controller");
  
  // recover the name of the controller from the printDevice() command
  device.printSticks();
  print("choose the name of the stick (the name follows the corresponding number that you want to use and put that name into the value for device.getStick()");
 // this command will enable the stick by delcaring the stick
  stick1 = device.getStick("y x"); // the stick name comes from the previous printSticks() command
  stick1.setTolerance(0.10f); // this indicates how much you must tilt the stick before it registers as a press
  stick2 = device.getStick("rz z");
  stick2.setTolerance(0.10f);
  
  button = device.getButton("14"); // sets up the x button
  
  fill(0);
  rectMode(CENTER);
}

void draw()
{
  // checks two conditions:
  // y coordinate changes of both the left stick and right stick
  


float Yval1 = stick1.getX();
float Yval2 = stick2.getX();



int leftStick = int(map(Yval1,-1,1,80,10));
int rightStick = int(map(Yval2,-1,1,80,10));
/*
print( leftStick); print( " is leftStick");
print("   ");
print( rightStick); print( " is rightStick");
println();
*/

String output = str(leftStick) + str(rightStick);
//println(output);
int Output = int(output);
      
port.write(output); // communicates the value 0 through the serial
//println(int(output));    
println(Output);  
}



